For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • POSTCreate an Agent API token
      • DELDelete an Agent API Token
      • GETGet an Agent API Token
      • GETList Agent API Tokens
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceAgent Token

Create an Agent API token

POST
https://api.astronomer.io/v1/organizations/:organizationId/deployments/:deploymentId/agent-tokens
POST
/v1/organizations/:organizationId/deployments/:deploymentId/agent-tokens
$curl -X POST https://api.astronomer.io/v1/organizations/organizationId/deployments/deploymentId/agent-tokens \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "My token"
>}'
1{
2 "createdAt": "2022-11-22T04:37:12Z",
3 "description": "my token description",
4 "id": "clm8q7f6q000008lcgyougpsk",
5 "kind": "STANDARD",
6 "name": "My token",
7 "scope": "WORKSPACE",
8 "shortToken": "short-token",
9 "startAt": "2022-11-22T04:37:12Z",
10 "updatedAt": "2022-11-22T04:37:12Z",
11 "createdBy": {
12 "id": "clm8qv74h000008mlf08scq7k",
13 "apiTokenName": "my-token",
14 "avatarUrl": "https://avatar.url",
15 "fullName": "Jane Doe",
16 "subjectType": "USER",
17 "username": "user1@company.com"
18 },
19 "endAt": "2022-11-22T04:37:12Z",
20 "expiryPeriodInDays": 30,
21 "lastRotatedAt": "2022-11-22T04:37:12Z",
22 "lastUsedAt": "2022-11-22T04:37:12Z",
23 "roles": [
24 {
25 "entityId": "clm8sgvai000008l794psbkdv",
26 "entityType": "WORKSPACE",
27 "role": "WORKSPACE_MEMBER",
28 "deploymentId": "clm8t5u4q000008jq4qoc3031"
29 }
30 ],
31 "token": "token",
32 "updatedBy": {
33 "id": "clm8qv74h000008mlf08scq7k",
34 "apiTokenName": "my-token",
35 "avatarUrl": "https://avatar.url",
36 "fullName": "Jane Doe",
37 "subjectType": "USER",
38 "username": "user1@company.com"
39 }
40}
Create an Agent API token for remote workers.
Was this page helpful?
Previous

Delete an Agent API Token

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the organization that owns the deployment where you want to create the Agent API token.
deploymentIdstringRequired
The ID of the deployment where you want to create the Agent API token.

Request

The request body for creating an Agent API Token.
namestringRequired
The name of the API token.
descriptionstringOptional
The description for the API token.
tokenExpiryPeriodInDaysintegerOptional1-3650
The expiry period of the API token in days. If not specified, the token will never expire.

Response

OK
createdAtstringformat: "date-time"

The time when the API token was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

descriptionstring
The description of the API token.
idstring
The API token's ID.
kindenum
The kind of the API token.
Allowed values:
namestring
The name of the API token.
scopeenum
The scope of the API token.
Allowed values:
shortTokenstring
The short value of the API token.
startAtstringformat: "date-time"

The time when the API token will become valid in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

updatedAtstringformat: "date-time"

The time when the API token was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

createdByobject
endAtstringformat: "date-time"

The time when the API token expires in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

expiryPeriodInDaysinteger
The expiry period of the API token in days.
lastRotatedAtstringformat: "date-time"

The time when the API token was last rotated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

lastUsedAtstringformat: "date-time"

The time when the API token was last used in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

roleslist of objects
The roles of the API token.
tokenstring
The value of the API token.
updatedByobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error